Qt 5.6 | Qt 3D | C++ Classes | QRenderState

Qt 5.6.3 Reference Documentation

# QRenderState Class

(Qt3DRender::QRenderState)

Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DRender::QBlendState, Qt3DRender::QClipPlane, Qt3DRender::QColorMask, and Qt3DRender::QPointSize

- List of all members, including inherited members

## Public Types

enum | Type { AlphaCoverage, AlphaTest, BlendEquation, BlendState, ..., ClipPlane }

## Public Functions

| ~QRenderState()
Type | type() const

- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QRenderState(QRenderStatePrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QRenderState::Type

## Member Function Documentation

### `[protected]` QRenderState::QRenderState(QRenderStatePrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QRenderState::~QRenderState()

Destroys the instance of QRenderState.

### Type QRenderState::type() const